Skip Menu |
 

This queue is for tickets about the GraphViz CPAN distribution.

Report information
The Basics
Id: 115236
Status: resolved
Worked: 40 min
Priority: 0/
Queue: GraphViz

People
Owner: Nobody in particular
Requestors: ilmari+cpan [...] ilmari.org
Cc: ribasushi [...] leporine.io
AdminCc:

Bug Information
Severity: (no value)
Broken in: 2.21
Fixed in: (no value)



Subject: Unneccessary Test2 dependency
Download (untitled) / with headers
text/plain 463b
Please revert the recent change from Test::More to Test2::Bundle::Extended. Test2 is incompatible with several other modules, see https://metacpan.org/pod/Test2::Transition#STILL-BROKEN, which precludes upgrading GraphViz in environments that use any of those (my specific issue is Test::Aggregate). As far as I can tell, the only Test2::Bundle::Extended feature that's being used is bail_out(), which is available in Test::More as BAIL_OUT(). Thanks, ilmari
Any word on moving this forward?
My apologies for the delay. V 2.22 is now on CPAN.

This is still essentially un-fixed, as the dependencies still state they need Test::More >= 1.300 somewhere.

https://metacpan.org/source/RSAVAGE/GraphViz-2.23/Makefile.PL#L74
 

--- Timeline ---

Version 2.21 raised the version requirements of Test::More for its use of Test2:: stuff.

Version 2.22 reverted the use of Test2 stuff, but didn't lower the version requirements.

This however still means its forcing use of the new Test2 stuff and forcing people to upgrade where they don't appear to need to.

 

-- 

- CPAN kentnl@cpan.org
- Gentoo Perl Maintainer kentnl@gentoo.org ( perl@gentoo.org )
 

V 2.24 is on CPAN with a requirement of Test::More V 1.001002.
Subject: Re: [rt.cpan.org #115236] Unneccessary Test2 dependency
Date: Tue, 27 Dec 2016 13:19:18 +1100
To: bug-GraphViz [...] rt.cpan.org
From: Ron Savage <ron [...] savage.net.au>
Download (untitled) / with headers
text/plain 922b
Hi Kent V 2.24 is in CPAN but the PAUSE indexer died with a lock wait timeout. Will try later to force a re-index. On 27/12/16 05:30, Kent Fredric via RT wrote: Show quoted text
> Queue: GraphViz > Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=115236 > > > This is still essentially un-fixed, as the dependencies still state they need > Test::More >= 1.300 somewhere. > > https://metacpan.org/source/RSAVAGE/GraphViz-2.23/Makefile.PL#L74 > > --- Timeline --- > > Version 2.21 raised the version requirements of Test::More for its use of > Test2:: stuff. > > Version 2.22 reverted the use of Test2 stuff, but didn't lower the version > requirements. > > This however still means its forcing use of the new Test2 stuff and forcing > people to upgrade where they don't appear to need to. > > -- > > - CPAN kentnl@cpan.org > - Gentoo Perl Maintainer kentnl@gentoo.org ( perl@gentoo.org ) >
-- Ron Savage - savage.net.au
Subject: Re: [rt.cpan.org #115236] Unneccessary Test2 dependency
Date: Tue, 27 Dec 2016 16:14:28 +1100
To: bug-GraphViz [...] rt.cpan.org
From: Ron Savage <ron [...] savage.net.au>
Download (untitled) / with headers
text/plain 1.1k
Hi Kent The PAUSE re-indexer worked. On 27/12/16 13:19, ron@savage.net.au via RT wrote: Show quoted text
> Queue: GraphViz > Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=115236 > > > Hi Kent > > V 2.24 is in CPAN but the PAUSE indexer died with a lock wait timeout. > Will try later to force a re-index. > > On 27/12/16 05:30, Kent Fredric via RT wrote:
>> Queue: GraphViz >> Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=115236 > >> >> This is still essentially un-fixed, as the dependencies still state they need >> Test::More >= 1.300 somewhere. >> >> https://metacpan.org/source/RSAVAGE/GraphViz-2.23/Makefile.PL#L74 >> >> --- Timeline --- >> >> Version 2.21 raised the version requirements of Test::More for its use of >> Test2:: stuff. >> >> Version 2.22 reverted the use of Test2 stuff, but didn't lower the version >> requirements. >> >> This however still means its forcing use of the new Test2 stuff and forcing >> people to upgrade where they don't appear to need to. >> >> -- >> >> - CPAN kentnl@cpan.org >> - Gentoo Perl Maintainer kentnl@gentoo.org ( perl@gentoo.org ) >>
>
-- Ron Savage - savage.net.au


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.